{% extends 'base.twig' %}


{% block title %} Dinosaurs - {% endblock %}

{% block content %}




<article>

    <h2>{% if dinosaur.id %} Edit Dinosaur n°{{ dinosaur.id }} {% else %} Create a new dinosaur {% endif %}</h2>

    <a href="/dinosaurs">Go back to dinosaur list</a>

   <form method="POST" action="" enctype="multipart/form-data">

        <fieldset>
            <label for="name">Name</label>
            <input type="text" id="name" name="name" value="{{ dinosaur.name }}" />

            <label for="birthday">Birthday</label>
            <input type="date" id="birthday" name="birthday" value="{{ dinosaur.birthday|date_format }}" />

            <label for="avatar">Avatar</label>
            <input type="file" id="avatar" name="avatar" />
            {% if dinosaur.avatar %}
            <div>
                <figure>
                    <img src="{{ dinosaur.avatar_b64 }}" />
                    <figcaption>Current avatar</figcaption>
                </figure>
            </div>
            {% else %}
            <div>
                <strong>No current avatar</strong>
            </div>
            {% endif %}


            <label for="model_id">Model</label>
            <select name="model_id" id="model_id">
                {% for model in models %}
                    <option {% if dinosaur.model_id == model.id %}selected="selected"{% endif %} value={{ model.id }}>{{ model.specie.name }} v.{{ model.version }}</option>
                {% endfor %}
            </select>
        </fieldset>
        <button>{% if dinosaur.id %} Edit {% else %} Save {% endif %}</button>
    </form> 

</article>

{% endblock %}